(*
** This program is for testing the port of Clunkdraw to the RPi/e-Paper
** platform.  Small, doesn't include the fonts.
*)

program ClunkTestSmall;
{$mode objfpc}{$H+}

Uses
   Clunkdraw, Clunktext, ePaper;

var s : string;
    w : integer;
    finfo : FontInfo;
begin
   WriteLn('Clunkdraw (small) test starting');
   InitGraf;
   s := 'Hello, World';
   w := StringWidth(s);
   GetFontInfo(finfo);
   // Put our message dead center on the screen.
   MoveTo((RectWidth(thePort^.portRect) div 2) - (w div 2),
	  (RectHeight(thePort^.portRect) div 2) + (finfo.ascent div 2));
   DrawString(s);
   FlushGraf;   // Push everything to the e-Paper screen.
   WriteLn('Clunkdraw (small) test ending');

   EPD_Delay_ms(1000);
   EndGraf;
   EPD_Delay_ms(1000);
end.
